<ng-container *transloco="let t; read: 'my_organizations'">
  <div class="table-container">
    <mat-card appearance="outlined">
      <span class="table-header">{{t('requests_header')}}</span>
      <table
        class="table-width"
        mat-table
        matSort
        [dataSource]="dataSource"
        (matSortChange)="announceSortChange($event)">
        <!-- Org name -->
        <ng-container matColumnDef="organization_name">
          <th
            mat-header-cell
            *matHeaderCellDef
            mat-sort-header>
            {{t('organization_th')}}
          </th>
          <td
            mat-cell
            *matCellDef="let row">
            {{row.organization_name}}
          </td>
        </ng-container>
        <!-- Request Status Column -->
        <ng-container matColumnDef="request_state">
          <th
            mat-header-cell
            *matHeaderCellDef
            mat-sort-header>
            {{t('status_th')}}
          </th>
          <td
            mat-cell
            *matCellDef="let row">
            {{'request_state.'+row.request_state|transloco}}
          </td>
        </ng-container>
        <!-- Options Button Column -->
        <ng-container matColumnDef="actions">
          <th
            mat-header-cell
            *matHeaderCellDef
            class="table-column-header-align-end">
            {{t('actions_th')}}
          </th>
          <td
            mat-cell
            *matCellDef="let row">
            <ng-container *ngIf="row.request_state === RequestState.REQUESTED">
              <button
                mat-mini-fab
                color="warn"
                class="no-shadow-mini-fab micro-fab micro-fab-action-button-margin"
                [matTooltip]="t('delete_request')"
                (click)="deleteRequest.emit({id:row.membership_request_id})">
                <mat-icon>delete_forever</mat-icon>
              </button>
            </ng-container>
          </td>
        </ng-container>
        <tbody>
          <tr
            mat-header-row
            *matHeaderRowDef="displayedColumns"></tr>
          <tr
            mat-row
            *matRowDef="let row; columns: displayedColumns;"></tr>
          <!-- Row shown when there is no matching data. -->
          <tr
            class="mat-row  no-data-table-row"
            *matNoDataRow>
            <td
              class="mat-cell"
              colspan="3">
              {{'general.no_data'|transloco}}
            </td>
          </tr>
        </tbody>
      </table>
    </mat-card>
  </div>
</ng-container>
